package sca.component.java.impl;

import commonj.sdo.DataObject;

public class ComponentImpl {
	/**
	 * Default constructor.
	 */
	public ComponentImpl() {
		super();
	}

	

	/**
	 * Method generated to support implemention of operation "operation1" defined for WSDL port type 
	 * named "interface.Order".
	 * 
	 * The presence of commonj.sdo.DataObject as the return type and/or as a parameter 
	 * type conveys that its a complex type. Please refer to the WSDL Definition for more information 
	 * on the type of input, output and fault(s).
	 */
	public void operation1(DataObject order) {
		
		//just a part of the entire order object
		System.out.println("------ Component -> order request: ");
		System.out.println("	=> first order item: "+order.get(0));
		System.out.println("    => billing address: "+((DataObject)order.get(1)).get(0));
		
	}

}